﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{BACDD8D2-FF36-42E2-A646-BFF131E0369D}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>GearSimulation</RootNamespace>
    <AssemblyName>GearSimulation</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <TargetFrameworkProfile>Client</TargetFrameworkProfile>
    <FileAlignment>512</FileAlignment>
    <PublishUrl>publish\</PublishUrl>
    <Install>true</Install>
    <InstallFrom>Disk</InstallFrom>
    <UpdateEnabled>false</UpdateEnabled>
    <UpdateMode>Foreground</UpdateMode>
    <UpdateInterval>7</UpdateInterval>
    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
    <UpdatePeriodically>false</UpdatePeriodically>
    <UpdateRequired>false</UpdateRequired>
    <MapFileExtensions>true</MapFileExtensions>
    <ApplicationRevision>0</ApplicationRevision>
    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
    <IsWebBootstrapper>false</IsWebBootstrapper>
    <UseApplicationTrust>false</UseApplicationTrust>
    <BootstrapperEnabled>true</BootstrapperEnabled>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\_Exe\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <PlatformTarget>x86</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="FormMain.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="FormMain.Designer.cs">
      <DependentUpon>FormMain.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <EmbeddedResource Include="FormMain.resx">
      <DependentUpon>FormMain.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
      <DesignTime>True</DesignTime>
    </Compile>
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <BootstrapperPackage Include=".NETFramework,Version=v4.0,Profile=Client">
      <Visible>False</Visible>
      <ProductName>Microsoft .NET Framework 4 Client Profile %28x86 and x64%29</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Client.3.5">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1 Client Profile</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
      <Visible>False</Visible>
      <ProductName>.NET Framework 3.5 SP1</ProductName>
      <Install>false</Install>
    </BootstrapperPackage>
    <BootstrapperPackage Include="Microsoft.Windows.Installer.3.1">
      <Visible>False</Visible>
      <ProductName>Windows Installer 3.1</ProductName>
      <Install>true</Install>
    </BootstrapperPackage>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Basic\Initdata\Initdata.csproj">
      <Project>{3E4EF806-BD52-4B04-8AEE-9EDC9B1304AB}</Project>
      <Name>Initdata</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\ASCPlot2D\ASCPlot2D.csproj">
      <Project>{F0757C90-7F30-40D7-B604-0F6CDE4B04B6}</Project>
      <Name>ASCPlot2D</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\TextFile\TextFile.csproj">
      <Project>{ED877FF6-BED0-4D46-A533-A2CA747FB86C}</Project>
      <Name>TextFile</Name>
    </ProjectReference>
    <ProjectReference Include="..\Helper\XLSPlot2D\XLSPlot2D.csproj">
      <Project>{76A627C8-15E4-4F49-B3A2-5DA41B68D455}</Project>
      <Name>XLSPlot2D</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLGaussJordan\NLGaussJordan.csproj">
      <Project>{2DFDD59A-95C1-428F-AAE1-90F33B873B8D}</Project>
      <Name>NLGaussJordan</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLGaussNewton\NLGaussNewton.csproj">
      <Project>{B129DDB9-A931-47A2-839B-C8C498FB390E}</Project>
      <Name>NLGaussNewton</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLMatrix\NLMatrix.csproj">
      <Project>{D66DB9ED-888C-49B8-8D45-11F6AE29F6B5}</Project>
      <Name>NLMatrix</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLScalar\NLScalar.csproj">
      <Project>{549C9317-39CE-4E6C-9208-A75649681EF8}</Project>
      <Name>NLScalar</Name>
    </ProjectReference>
    <ProjectReference Include="..\Numeric\NLVector\NLVector.csproj">
      <Project>{AA5A885E-B639-4EE9-BDD3-4B4E11FA0668}</Project>
      <Name>NLVector</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCBasic\UCNotifier\UCNotifier.csproj">
      <Project>{F42BC6C4-A1A7-4473-96E1-6CE9ABDB4165}</Project>
      <Name>UCNotifier</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCFitQuadraticEquation\UCGaussNewton\UCGaussNewton.csproj">
      <Project>{6FA499A3-3279-47D4-954F-9A95AAB8E12F}</Project>
      <Name>UCGaussNewton</Name>
    </ProjectReference>
    <ProjectReference Include="..\UCPlot\UCPlot2D\UCPlot2D.csproj">
      <Project>{DCDF5186-EFCA-4DDE-B962-DA38A90315D2}</Project>
      <Name>UCPlot2D</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>